<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionRankGain](./bitburner.bladeburner.getactionrankgain.md)

## Bladeburner.getActionRankGain() method

Get the rank gain of an action.

**Signature:**

```typescript
getActionRankGain(type: BladeburnerActionType, name: BladeburnerActionName, level?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

Name of action. Must be an exact match.


</td></tr>
<tr><td>

level


</td><td>

number


</td><td>

_(Optional)_ Optional. Action level at which to calculate the gain. Defaults to the action's current level if not specified.


</td></tr>
</tbody></table>

**Returns:**

number

Average rank gain for successfully completing the specified action.

## Remarks

RAM cost: 4 GB

Returns the average rank gain for successfully completing the specified action. Note that this value is an "average" and the actual rank gain may vary slightly from this value.

